"use client"

import { useState } from "react";
import { Card } from "./ui/card";
import GameItem from "./game-item";
import { IGame } from "@/types/igdb-types";
import { User } from "@prisma/client";
import AddGameToPlanList from "./add-game-to-plan-list";
import AddGameToPlayingList from "./add-game-to-playing-list";
import AddGameToFinishedList from "./add-game-to-finished-list";
import { Select, SelectContent, SelectGroup, SelectItem, SelectLabel, SelectTrigger, SelectValue } from "./ui/select";

export default function AddGameDropdown(props: { gameid: string, fullUser: User }) {
    return (
        <>
            <Select>
                <SelectTrigger className={`bg-background border-full w-32 h-8}`}>
                    <SelectValue placeholder="Status" />
                </SelectTrigger>
                <SelectContent>
                    <SelectGroup>
                        <SelectLabel>Status</SelectLabel>
                        <AddGameToPlanList user={props.fullUser!} gameId={props.gameid} />
                        <AddGameToFinishedList user={props.fullUser!} gameId={props.gameid} />
                        <AddGameToPlayingList user={props.fullUser!} gameId={props.gameid} />
                    </SelectGroup>
                </SelectContent>
            </Select>

        </>
    )

}
